Module ij
Package ij.plugin

# Class Orthogonal_Views

java.lang.Object
ij.plugin.Orthogonal_Views

All Implemented Interfaces:
  `CommandListener`, `ImageListener`, `PlugIn`, `ActionListener`, `AdjustmentListener`, `FocusListener`, `KeyListener`, `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `WindowListener`, `Runnable`, `EventListener`

public class Orthogonal_Views extends Object implements PlugIn, MouseListener, MouseMotionListener, KeyListener, ActionListener, ImageListener, WindowListener, AdjustmentListener, MouseWheelListener, FocusListener, CommandListener, Runnable
This plugin projects dynamically orthogonal XZ and YZ views of a stack. The output images are calibrated, which allows measurements to be performed more easily. Many thanks to Jerome Mutterer for the code contributions and testing. Thanks to Wayne Rasband for the code that properly handles the image magnification.

Author:
  Dimiter Prodanov

## Constructor Summary

Constructors
Constructor
Description
`Orthogonal_Views()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent ev)`
`void`
`adjustmentValueChanged(AdjustmentEvent e)`
`String`
`commandExecuting(String command)`
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`int[]`
`getCrossLoc()`
`static ImagePlus`
`getImage()`
`static int`
`getImageID()`
`static int[]`
`getImageIDs()`
Returns the IDs of the XY, YZ and XZ images as an int array.
`static Orthogonal_Views`
`getInstance()`
`ImagePlus`
`getXZImage()`
`ImagePlus`
`getYZImage()`
`void`
`imageClosed(ImagePlus imp)`
`void`
`imageOpened(ImagePlus imp)`
`void`
`imageUpdated(ImagePlus imp)`
`static boolean`
`isOrthoViewsImage(ImagePlus imp)`
`void`
`keyPressed(KeyEvent e)`
`void`
`keyReleased(KeyEvent e)`
`void`
`keyTyped(KeyEvent e)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`mouseWheelMoved(MouseWheelEvent e)`
`void`
`run()`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`setCrossLoc(int x, int y, int z)`
`static void`
`stop()`
`void`
`windowActivated(WindowEvent e)`
`void`
`windowClosed(WindowEvent e)`
`void`
`windowClosing(WindowEvent e)`
`void`
`windowDeactivated(WindowEvent e)`
`void`
`windowDeiconified(WindowEvent e)`
`void`
`windowIconified(WindowEvent e)`
`void`
`windowOpened(WindowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Orthogonal_Views

public Orthogonal_Views()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`

### keyPressed

public void keyPressed(KeyEvent e)

Specified by:
  `keyPressed` in interface `KeyListener`

### keyReleased

public void keyReleased(KeyEvent e)

Specified by:
  `keyReleased` in interface `KeyListener`

### keyTyped

public void keyTyped(KeyEvent e)

Specified by:
  `keyTyped` in interface `KeyListener`

### actionPerformed

public void actionPerformed(ActionEvent ev)

Specified by:
  `actionPerformed` in interface `ActionListener`

### imageClosed

public void imageClosed(ImagePlus imp)

Specified by:
  `imageClosed` in interface `ImageListener`

### imageOpened

public void imageOpened(ImagePlus imp)

Specified by:
  `imageOpened` in interface `ImageListener`

### imageUpdated

public void imageUpdated(ImagePlus imp)

Specified by:
  `imageUpdated` in interface `ImageListener`

### commandExecuting

public String commandExecuting(String command)

Specified by:
  `commandExecuting` in interface `CommandListener`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)

Specified by:
  `windowDeiconified` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)

Specified by:
  `windowOpened` in interface `WindowListener`

### adjustmentValueChanged

public void adjustmentValueChanged(AdjustmentEvent e)

Specified by:
  `adjustmentValueChanged` in interface `AdjustmentListener`

### mouseWheelMoved

public void mouseWheelMoved(MouseWheelEvent e)

Specified by:
  `mouseWheelMoved` in interface `MouseWheelListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`

### getImage

public static ImagePlus getImage()

### getImageID

public static int getImageID()

### getImageIDs

public static int[] getImageIDs()
Returns the IDs of the XY, YZ and XZ images as an int array.

### stop

public static void stop()

### isOrthoViewsImage

public static boolean isOrthoViewsImage(ImagePlus imp)

### getInstance

public static Orthogonal_Views getInstance()

### getCrossLoc

public int[] getCrossLoc()

### setCrossLoc

public void setCrossLoc(int x, int y, int z)

### getXZImage

public ImagePlus getXZImage()

### getYZImage

public ImagePlus getYZImage()

### run

public void run()

Specified by:
  `run` in interface `Runnable`